using System;
using System.IO;
using System.Windows.Forms;
using System.Drawing;
using Microsoft.Win32;
using System.Windows.Forms.Design;

namespace PivotSample
{
	
	public class Utils
	{
		private Utils() {}

    public static string TeeChartRoot = @"HKEY_LOCAL_MACHINE";
    public static string TeeChartSubKey = @"Software\Steema Software\TeeChart.NET";
    public static string TeeChartKeyName = TeeChartRoot + "\\" + TeeChartSubKey;

    public static string DemoPath()
    {
      return (string)Steema.TeeChart.Utils.Registry_GetValue(TeeChartKeyName, "DemoPath", @"..\..\");
			
    }

		/// <summary>
		/// Restores source code directory from registry
		/// </summary>
		/// <returns></returns>
		public static string CodePath()
		{
#if DESIGN
#if VS2005
		const string ProjectName="TeeChart Examples2005.csproj";
#else
		const string ProjectName="TeeChart Examples2003.csproj";
#endif
#else
		const string ProjectName="TeeChart Examples.csproj";
#endif
    string result = DemoPath();

      FileInfo fi = new FileInfo(result+ProjectName);
      if (!fi.Exists)
      {
        fi=new FileInfo(result+@"..\"+ProjectName);
        if (fi.Exists)
          result=result+@"..\";
        else
        {
          fi=new FileInfo(result+@"..\..\"+ProjectName);
          if (fi.Exists)
            result=result+@"..\..\";
        }
      }

      return result;
		}

		/// <summary>
		/// Stores source code directory to registry
		/// </summary>
		/// <param name="path"></param>
		public static void WriteCodePath(string path)
		{
			Steema.TeeChart.Utils.Registry_SetValue(TeeChartKeyName, "DemoPath", path);
		}
	}
}